Bug 4911 - Schema Management: Adding a objectclass
Schema Management: Adding a objectclass
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
All All
: P3 normal
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-22 14:29 UTC by Matthias Dieter Wallnöfer
Modified: 2008-07-25 12:45 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Dieter Wallnöfer 2007-08-22 14:29:34 UTC
I tested now the Schema Management MMC (schmmgmt.msc) with creating a new objectclass for the directory. It seems to work fine but what I noticed is that the default assigned ACL's seem to be very different than those of the predefined classes.
Comment 1 Matthias Dieter Wallnöfer 2007-08-23 03:43:56 UTC
It seemed to work fine. But when I now restarted the smbd, it immediately crashed because a certain "unable to map governsID" "failed to load class definition" WERR_DS_NO_MSDS_INTID.
Comment 2 Andrew Bartlett 2007-08-23 04:20:53 UTC
Yeah, it doesn't really work - we need to do a lot more work around the schema area.
Comment 3 Matthias Dieter Wallnöfer 2008-01-24 09:44:07 UTC
I retested this one now and get this kind of problems:

ldb: Unable to load modules for /usr/local/samba/private/sam.ldb: partition_init: initialising backend for CN=Schema,CN=Configuration,DC=wallnoefer2,DC=local failed: schema_fsmo_init: failed to load class definition: CN=myclass,CN=Schema,CN=Configuration,DC=wallnoefer2,DC=local:WERR_INVALID_PARAM

ldb: schema_fsmo_init: failed to load class definition: CN=myclass,CN=Schema,CN=Configuration,DC=wallnoefer2,DC=local:WERR_INVALID_PARAM
ldb: module schema_fsmo initialization failed
Comment 4 Matthias Dieter Wallnöfer 2008-07-25 12:45:38 UTC
Finally fixed with latest patches.